Package org.eclipse.m2m.atl.common.Problem

# Class Problem

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.Problem.Problem

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

public class Problem extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container implements org.eclipse.emf.ecore.EObject
A representation of the model object 'Problem'.

The following features are supported:

- `Severity`
- `Location`
- `Description`

See Also:
  - `ProblemPackage.getProblem()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`description`
The cached value of the '`Description`' attribute.
`protected static final String`
`DESCRIPTION_EDEFAULT`
The default value of the '`Description`' attribute.
`protected String`
`location`
The cached value of the '`Location`' attribute.
`protected static final String`
`LOCATION_EDEFAULT`
The default value of the '`Location`' attribute.
`protected Severity`
`severity`
The cached value of the '`Severity`' attribute.
`protected static final Severity`
`SEVERITY_EDEFAULT`
The default value of the '`Severity`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Problem()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getDescription()`
Returns the value of the 'Description' attribute.
`String`
`getLocation()`
Returns the value of the 'Location' attribute.
`Severity`
`getSeverity()`
Returns the value of the 'Severity' attribute.
`void`
`setDescription(String newDescription)`
Sets the value of the '`Description`' attribute.
`void`
`setLocation(String newLocation)`
Sets the value of the '`Location`' attribute.
`void`
`setSeverity(Severity newSeverity)`
Sets the value of the '`Severity`' attribute.
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### SEVERITY_EDEFAULT

protected static final Severity SEVERITY_EDEFAULT
The default value of the '`Severity`' attribute.

See Also:
  - `getSeverity()`

### severity

protected Severity severity
The cached value of the '`Severity`' attribute.

See Also:
  - `getSeverity()`

### LOCATION_EDEFAULT

protected static final String LOCATION_EDEFAULT
The default value of the '`Location`' attribute.

See Also:
  - `getLocation()`

### location

protected String location
The cached value of the '`Location`' attribute.

See Also:
  - `getLocation()`

### DESCRIPTION_EDEFAULT

protected static final String DESCRIPTION_EDEFAULT
The default value of the '`Description`' attribute.

See Also:
  - `getDescription()`

### description

protected String description
The cached value of the '`Description`' attribute.

See Also:
  - `getDescription()`

## Constructor Details

### Problem

protected Problem()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getSeverity

public Severity getSeverity()
Returns the value of the 'Severity' attribute. The literals are from the enumeration `Severity`.

If the meaning of the 'Severity' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Severity' attribute.
See Also:
  - `Severity`
  - `setSeverity(Severity)`
  - `ProblemPackage.getProblem_Severity()`

### setSeverity

public void setSeverity(Severity newSeverity)
Sets the value of the '`Severity`' attribute.

Parameters:
  `value` - the new value of the 'Severity' attribute.
See Also:
  - `Severity`
  - `getSeverity()`

### getLocation

public String getLocation()
Returns the value of the 'Location' attribute.

If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location' attribute.
See Also:
  - `setLocation(String)`
  - `ProblemPackage.getProblem_Location()`

### setLocation

public void setLocation(String newLocation)
Sets the value of the '`Location`' attribute.

Parameters:
  `value` - the new value of the 'Location' attribute.
See Also:
  - `getLocation()`

### getDescription

public String getDescription()
Returns the value of the 'Description' attribute.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  - `setDescription(String)`
  - `ProblemPackage.getProblem_Description()`

### setDescription

public void setDescription(String newDescription)
Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  - `getDescription()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`